# Demonstrate drawing a full-canvas tic-tac-toe board
# CS111

from graphics import *

LINE_COLOR="purple"
LINE_WIDTH=3
CANVAS_WIDTH=500
CANVAS_HEIGHT=500

win = GraphWin("TIC-TAC-TOE Board", CANVAS_WIDTH, CANVAS_HEIGHT)

# could use the constants here
# instead, demonstrating method calls
width = win.getWidth()
height = win.getHeight()

# calculate the coordinates for the lines
topPoint1 = Point(width/3, 0)
topPoint2 = Point(2*width/3, 0)
bottomPoint1 = Point(width/3, height)
bottomPoint2 = Point(2*width/3, height)

leftPoint1 = Point(0, height/3)
leftPoint2 = Point(0, 2*height/3)
rightPoint1 = Point(width, height/3)
rightPoint2 = Point(width, 2*height/3)

# draw the vertical lines
vline = Line(topPoint1, bottomPoint1)
vline.setOutline(LINE_COLOR)
vline.setWidth(LINE_WIDTH)
vline.draw(win)

vline2 = Line(topPoint2, bottomPoint2)
vline2.setOutline(LINE_COLOR)
vline2.setWidth(LINE_WIDTH)
vline2.draw(win)

# draw the horizontal lines
hline = Line(leftPoint1, rightPoint1)
hline.setOutline(LINE_COLOR)
hline.setWidth(LINE_WIDTH)
hline.draw(win)

hline2 = Line(leftPoint2, rightPoint2)
hline2.setOutline(LINE_COLOR)
hline2.setWidth(LINE_WIDTH)
hline2.draw(win)

# Pause so user can see the result
win.getMouse()


   
