# Demonstrate drawing a full-canvas tic-tac-toe board,
# using clone() and move() methods
# CS111

from graphics import *

LINE_COLOR="purple"
LINE_WIDTH=3
CANVAS_WIDTH=500
CANVAS_HEIGHT=500

win = GraphWin("TIC-TAC-TOE Board", CANVAS_WIDTH, CANVAS_HEIGHT)

# could use the constants here
# instead, demonstrating method calls
width = win.getWidth()
height = win.getHeight()

# calculate the coordinates for the lines
topPoint = Point(width/3, 0)
bottomPoint = Point(width/3, height)

leftPoint = Point(0, height/3)
rightPoint = Point(width, height/3)

# draw the vertical lines
vline = Line(topPoint, bottomPoint)
vline.setOutline(LINE_COLOR)
vline.setWidth(LINE_WIDTH)
vline.draw(win)

vline2 = vline.clone()
vline2.move(width/3,0)
vline2.draw(win)

# draw the horizontal lines
hline = Line(leftPoint, rightPoint)
hline.setOutline(LINE_COLOR)
hline.setWidth(LINE_WIDTH)
hline.draw(win)

hline2 = hline.clone()
hline2.move(0,height/3)
hline2.draw(win)

# Pause so user can see the result
win.getMouse()


   
