# This program draws an initial circle in the graphics window.
# Each time the user clicks on a new spot, the circle is
# shifted to that location.  This happens four times. On the fifth
# mouse click the program ends.

from graphics import *

win = GraphWin("Moving Circles")
circ = Circle(Point(50,50), 20)
circ.setOutline("magenta")
circ.setFill("magenta")
circ.draw(win)

label = Text(Point(100,180), "Click where the circle goes")
label.draw(win)

for i in xrange(5):
    moveTo = win.getMouse()
    current = circ.getCenter()
    dx = moveTo.getX() - current.getX()
    dy = moveTo.getY() - current.getY()
    circ.move(dx,dy)
    label.setText( str(5-i-1) + " clicks left")

                   
