# Read in students' name and years from a file and put into a dictionary.
# CS111

YEARSFILE="data/years.dat"

yearsData = file(YEARSFILE, "r")

# create an empty dictionary that will map last names to years

nameToYear={}

for line in yearsData:
    line = line.strip()

    # FIRST " " SPLITS NAME AND YEARS
    
    spacePos = line.find(" ")
    if spacePos== -1:
        print "Error: no name/year pair in line:", line
    else:     
        name = line[:spacePos]
        # print "name=", name
        year = line[spacePos+1:]
        # print "year=", year

    # map the last name to the year
    nameToYear[name]=year

yearsData.close()


# print nameToYear


# Note what order these are printed in ...
# Is it the same as what was in the original data file?

for name in nameToYear:
    print name, "is a", nameToYear[name]

# not actually sorted at this point
sortedKeys = nameToYear.keys()
sortedKeys.sort()

print "\nIn sorted order: "

for name in sortedKeys:
    print name, "is a", nameToYear[name]
