# Name removed to protect the innocent
# Modified by CS111 to use Counter class
#

from counter import *

MIN_KEY=-25
MAX_KEY=25
A_VAL = ord('a')
Z_VAL = ord('z')

def main():
    text=raw_input("Enter some text: ")
    key=input("Enter an integer key (between "+ str(MIN_KEY) +" and " + str(MAX_KEY) +"): ")
    if key < MIN_KEY or key > MAX_KEY:
        print "Key must be within range", MIN_KEY,"and", MAX_KEY
    else: 
        text = text.lower()
        message= encoder(text,key)
        print message

#encoder takes in some lowercase text and integer key and returns encoded
#message, retaining spaces between words
def encoder(text, key):
    message=""
    for ch in text:
        if ch == " ":
            message+=" "
        else:
            message += translateLetter(ch,key)
    return message

#takes as parameters a lowercase letter and integer key and returns the
#encoded letter
def translateLetter(letter, key):
    # create a counter object with a range from the ASCII values of 'a' to 'z'
    ascii_counter = Counter(ord('a'), ord('z'))
    # set the counter to the letter to encode
    ascii_counter.setValue(ord(letter))
    
    # translate the ASCII value
    if key > 0:
        ascii_counter.increment(key)
    else:
        ascii_counter.decrement(key*-1)
        
    encoded_value = ascii_counter.getValue()
    
    # translate from ASCII to the letter
    transLetter = chr(encoded_value)
    return transLetter
           
#call main function
main()
