# Practice using 2D lists using Tic-Tac-Toe
# NOTE: Does not handle tie games cleanly
# by Sara Sprenkle

def main():
    board = createBoard()
    printBoard(board)
    
    symbol = "o"
    while not hasWon(board):
        if symbol == "x":
            symbol = "o"
        else:
            symbol = "x"
        print "Player", symbol,"'s turn: "
        row = input("Pick the row (0,2): ")
        col = input("Pick the col (0,2): ")
        
        pickPos(board, row, col, symbol)
        printBoard(board)
        
        # TODO: Need to handle ties!
        
    print "Game over!"
    print "Player", symbol, "won"

def createBoard():
    board = []
    for row in xrange(3):
        row = []
        for col in xrange(3):
            row.append(" ")
        board.append(row)
    return board

def printBoard(board):
    for row in xrange(2):
        for col in xrange(2):
            print "%1s |" % board[row][col],
        print "%1s" % board[row][2]
        print "-"*9
    for col in xrange(2):
        print "%1s |" % board[2][col],
    print "%1s" % board[2][2]
        

def pickPos(board, row, col, symbol):
    # Should handle that the position is already taken
    board[row][col] = symbol
    
def hasWon(board):
    # horizontal
    for row in xrange(3):
        if board[row][0] != " ":
            if board[row][0] == board[row][1] and board[row][1] == board[row][2]:
                print "Found horizontal", row
                return True

    # vertical
    for col in xrange(3):
        if board[0][col] != " ":
            if board[0][col] == board[1][col] and board[1][col] == board[2][col]:
                print "Found horizontal", row
                return True
            
    # diagonal left to right
    if board[0][0] != " " and board[0][0] == board[1][1] and board[1][1] == board[2][2]:
        return True

    if board[0][2] != " " and board[0][2] == board[1][1] and board[1][1] == board[2][0]:
        return True

    return False

main()
