<!--Template adapted from www.oswd.org.  "Sinorca" template originally designed by haran-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-AU">
  <head>
    <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
    
	<title>CS 111: Fundamentals of Programming I</title>
        <link rel="stylesheet" type="text/css" href="course.css" />

</head>

  <body>
 <? include("header.php"); ?>
 <? include("sidebar.php"); ?>

    <!-- ##### Main Copy ##### -->

    <div id="main-copy">

      <h1>Broader Issues in Computer Science</h1>

<p> Computer science has had a far-reaching impact on many disciplines and
on society in general. In this course, we'll discuss just a few of these
issues for 15-20 minutes during Friday lectures.
</p>

<p>The topics we may cover briefy are 

<ul>
 
	<li>the effect of the Internet (<a
	href="http://www.socialtext.net/codev2/index.cgi?four_puzzles_from_cyberspace">Four
	Puzzles from Cyberspace</a>, an excerpt from <i>Codev2</i> by Lawrence Lessig; "Why you can't cite Wikipedia in my class" <a
	href="http://portal.acm.org/ft_gateway.cfm?id=1284635&type=html&coll=ACM&dl=ACM&CFID=34209474&CFTOKEN=86268709">
HTML</a>, <a
   href="http://portal.acm.org/ft_gateway.cfm?id=1284635&type=pdf&coll=ACM&dl=ACM&CFID=34209474&CFTOKEN=86268709">PDF</a>), <a href="http://www.nytimes.com/2007/12/15/technology/15web.html?ex=1355374800&en=a1c4cc1efd4d1d53&ei=5088&partner=rssnyt&emc=rss">Google Competitor to Wikipedia</a>
 
 <li>Computing and education

	<ul>
	<li><a href="http://www.laptop.org">The One Laptop Per Child 
Project</a>  (Also relevant to the Digital Divide.)
	</ul>


<li>Computers and Medicine

													 <ul>
 <li><a href="http://news.bbc.co.uk/2/hi/health/7258379.stm">Computers 'spot Alzheimer's fast'</a>

<li><a href="http://www.telegraph.co.uk/earth/main.jhtml?xml=/earth/2008/02/08/scihuman108.xml"> Supercomputer 'virtual human' to help fight disease</a>

<li><a href="http://www.buffalo.edu/news/8992">Design of Patient Tracking Tools May Have 
Unintended Consequences</a>

</ul>
											       

 <li>Digital divide

	<ul>
	<li><a href="http://www.laptop.org">The One Laptop Per Child 
Project</a>
		<br><a 
href="http://www.cnn.com/2007/TECH/ptech/12/25/onelaptop.onevillage.ap/index.html">A 
Follow Up Story</a>
	</ul>

 <li>Computing and the environment
     <p>Sensor Networks for Environmental Monitoring
     <ul>
     <li><a href="http://www.princeton.edu/~mrm/zebranet.html">ZebraNet overview</a>, <a href="http://www.princeton.edu/pr/pwb/02/1111/1a.shtml">article</a>
     <li><a href="http://www.eecs.harvard.edu/~mdw/proj/volcano/">Volcano Monitoring</a>, <a href="http://www.eecs.harvard.edu/~werner/projects/volcano/">paper</a>
     </ul>
     
	<p><a 
href="http://www.sciencenews.org/articles/20071201/mathtrek.asp">Applying 
graphs to social networks of zebras</a>

     <p>Green computing

<ul>
<li><a href="http://www.csmonitor.com/2008/0213/p04s01-usgn.html">Internet Helps Americans Save More Energy Every Year</a>
<li><a href="http://technology.newscientist.com/article/dn13306-could-smart-traffic-lights-stop-motorists-fuming.html">Could smart traffic lights stop motorists fuming?</a>

</ul>

<li>Volunteer computing
<ul>
<li><a href="http://news.bbc.co.uk/2/hi/technology/7074547.stm">PS3 network enters record books</a>
</ul>

 <li>Computing and the sciences

	<ul>
	<li><a href="http://www.spectrum.ieee.org/jan08/5809">Solving the Oil 
Equation</a>

	</ul>

<li>Computer Science and Policy:
<ul>
<li><a href="http://chronicle.com/wiredcampus/article/2904/computer-scientists-to-congress-dont-tell-colleges-to-install-filters-on-networks"> Computer Scientists to Congress: Don't Tell Colleges to Install Filters on Networks</a></li>
</ul>

 <li>Electronic voting

    <ul>

															       <li><a href="http://www.technologyreview.com/Infotech/20122/">Voting with (Little) Confidence</a>

    <li><a href="http://portal.acm.org/ft_gateway.cfm?id=1297827&type=html&coll=ACM&dl=ACM&CFID=40479122&CFTOKEN=10304295">The Risks of Electronic Voting</a> (requires ACM Digital Library access)

     <li><a href="http://www.truthout.org/cgi-bin/artman/exec/view.cgi/64/22488">Princeton Scientists Create Vote-Stealing Program</a>

    </ul>

 <li>Diversity in computing 
     <ul>
     <li><a href="http://www.forbes.com/business/2007/09/13/women-patents-study-tech-science-cz_cm_0913techwomen.html">Patenting the Co-ed Code</a>

															       <li><a href="http://www.cioinsight.com/c/a/Workplace/IT-Diversity/">Black IT Employment</a>

     <li><a href="http://presszoom.com/story_140315.html">Five Myths about Girls and Science</a>

    <li><a href="http://www.turing.org.uk/turing/">Alan Turing</a> - the founder of computer science, cracked the German Engima code in WWII, a gay man

     <li><a href="http://en.wikipedia.org/wiki/Grace_Hopper">Grace Hopper</a> (<a href="http://www.history.navy.mil/photos/pers-us/uspers-h/g-hoppr.htm">her bug</a>) and 
     conferences celebrating 
     <a href="http://www.gracehopper.org">women</a> and 
     <a href="http://www.richardtapia.org/">diversity</a> in computing
     </ul>

     <li>Bugs!
     <ul>
     <li><a href="http://www.wired.com/software/coolapps/news/2005/11/69355">History's Worst Software Bugs</a>
     <li><a href="http://www.around.com/ariane.html">A Bug and a Crash</a>
     </ul>

 <li>Computing and entertainment

	<ul>
	<li><a 
href="http://www.philly.com/philly/news/homepage/11541186.html">If 
you like U2, you'll like ... Metallica?</a>
	<li><a href="http://www.spectrum.ieee.org/jan08/5812">Satellite TV 
Soccer Moms Will Hate</a>
<li><a href="http://technology.newscientist.com/channel/tech/dn13264-eyetracking-game-hides-baddies-in-plain-view.html?feedId=online-news_rss20">Eye-tracking game hides baddies in plain view</a>

															       <li><a href="http://www.virginia.edu/uvatoday/newsRelease.php?id=4019">Privacy Issues in Facebook</a>

	</ul>

<li>And more...

<ul>
<a href="http://www.americanscientist.org/template/AssetDetail/assetid/56452;jsessionid=baa7H8RsxVzFxC">Accidental Algorithms</a>
</ul>
</ul>

<p> Remember that you can earn <a
href="extracredit.php">extra credit</a> for reviewing additional
articles about computer science or its effects on other disciplines.
</p>

<h2>Write Ups</h2>

<p> Before 10 a.m. on Friday, you will submit a short write up of the
assigned article(s) for the given topic as a comment/reply on the course blog
through the <a href="http://portal.cs.wlu.edu">Department Portal</a>. The
write up should include </p>

<ul>

<li>How interesting you found this article on a scale of 0 to 9, with 0
being least interesting and 9 being most interesting.

<li>A summary of the three most important points in the article(s)

<li>How the article affected your understanding of CS and how it
relates to other areas

<li>How the article relates to our course specifically (if at all)

<li>One question for class discussion

</ul>



<h2>Discussion</h2>

<p>
We will discuss the articles briefly on Friday, in small groups and as a
class. You are expected to actively participate in the discussion.
</p>

<p>If you miss class when we discuss a broader issue, you cannot make
up the discussion points, even with advanced notice.  Nothing can
replace that discussion. Consider doing extra credit to make up those
points.  </p>

<h2>Grading</h2>

<p>Your grade for each assignment will be worth 10 points:
</p>

<ul>
	<li>6 points for the blog posting
	<li>4 points for actively participating in the discussion in
small groups and as a class
</ul>

</body>
</html>
