# Wheel of Fortune
#

PHRASE="Welcome back, Kotter"
# PHRASE = "
PROMPT="Enter a letter or try to solve the puzzle: "
TITLE_WIDTH=50

# print out a nice header
print "*"*TITLE_WIDTH
print "WHEEL".center(TITLE_WIDTH)
print "OF".center(TITLE_WIDTH)
print "FORTUNE!".center(TITLE_WIDTH)
print "*"*TITLE_WIDTH 

# Display the current puzzle.  All the characters (except for spaces)
# are displayed as underscores
puzzle = ""
for char in PHRASE:
    #if char != " ":
    if char.isalpha():
        puzzle += "_"
    else:
        puzzle += char

print "The puzzle:", puzzle

print
print "Let's get started!"

# how many guesses it took to get it right
numGuesses = 1

guess = raw_input(PROMPT)

# Check if the user's guess matches the phrase
while guess.upper() != PHRASE.upper() :

    # handle a letter guess
    if len(guess) == 1:
        numOccurences = PHRASE.count(guess) + PHRASE.count(guess.swapcase())
        if numOccurences > 0:
            print "There are", numOccurences, guess + "'s", "in the phrase"
            # fill in puzzle with guessed letter
            updatedpuzzle=""
            for pos in xrange(len(PHRASE)):
                if PHRASE[pos] == guess or PHRASE[pos] == guess.swapcase():
                    updatedpuzzle += PHRASE[pos]
                else:
                    updatedpuzzle += puzzle[pos]
            puzzle = updatedpuzzle
            
            print "\nThe puzzle is", puzzle
        else:
            print "Sorry, there are no", guess + "'s", "in the word"

    # handle an incorrect guess of the phrase
    else:
        print "You guessed incorrectly."
    
    print
    guess = raw_input(PROMPT)
    numGuesses += 1
        
    
print "Congratulations!  You solved the puzzle in", numGuesses, "guesses"
