# Opens a file, reads the file one line at a time,
# searching for data from the user
# by CS111

FILENAME="data/years.dat"

searchTerm = raw_input("What are you looking for? ")

# opens the file in "read" mode
dataFile = file(FILENAME, "r")

# Set up accumulators
lineNum=0
numOccurrences=0

# reads in the file and prints the content of the file
for line in dataFile:
    lineNum+=1

    # strip is a string method that
    # removes the trailing and beginning whitespace
    line = line.strip()

    # look for the line
    if searchTerm in line:
        print "Found %s in line %d: \"%s\"" % (searchTerm, lineNum, line)
        numOccurrences+=1
    
# close the file with the method "close"
dataFile.close()

# Report findings ...
print searchTerm, "was found", numOccurrences, "times"

