# Read in years from a file and put into a dictionary.
# CS111

YEARSFILE="data/years.dat"

yearsData = file(YEARSFILE, "r")

# create an empty dictionary that will map last names to years

yearToCount={}

for line in yearsData:
    line = line.strip()

    # FIRST " " SPLITS NAME AND YEARS
    
    spacePos = line.find(" ")
    if spacePos== -1:
        print "Error: no name/year pair in line:", line
    else:     
        name = line[:spacePos]
        # print "name=", name
        year = line[spacePos+1:]
        # print "year=", year

        if yearToCount.get(year) != None:
            # same as: if year in yearToCount :
            yearToCount[year]+=1
        else:
            yearToCount[year]=1
        

yearsData.close()


for year in yearToCount:
    count = yearToCount[year]
    if count > 1:
        print "There are", count, year + "s."
    else:
        print "There is 1", year + "s."

